CVE-2017-5209

NameCVE-2017-5209
DescriptionThe base64decode function in base64.c in libimobiledevice libplist through 1.12 allows attackers to obtain sensitive information from process memory or cause a denial of service (buffer over-read) via split encoded Apple Property List data.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2168-1, DLA-811-1
Debian Bugs851196

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libplist (PTS)buster2.0.1~git20190104.3f96731-1fixed
bookworm, sid, bullseye2.2.0-6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libplistsourcewheezy1.8-1+deb7u1DLA-811-1
libplistsourcejessie1.11-3+deb8u1DLA-2168-1
libplistsource(unstable)1.12+git+1+e37ca00-0.1low851196

Notes

Upstream bug: https://github.com/libimobiledevice/libplist/issues/84
https://github.com/libimobiledevice/libplist/commit/3a55ddd3c4c11ce75a86afbefd085d8d397ff957

Search for package or bug name: Reporting problems